package main // import "git.sapphic.engineer/roleypoly/v4"

import (
	"log"
	"os"

	"git.sapphic.engineer/roleypoly/v4/discord"
	"git.sapphic.engineer/roleypoly/v4/roleypoly"
)

func main() {
	app := roleypoly.CreateFiberApp()

	clientID := os.Getenv("DISCORD_CLIENT_ID")
	clientSecret := os.Getenv("DISCORD_CLIENT_SECRET")
	botToken := os.Getenv("DISCORD_BOT_TOKEN")
	dc := discord.NewDiscordClient(clientID, clientSecret, botToken)

	publicKey := os.Getenv("DISCORD_PUBLIC_KEY")
	roleypoly.SetupControllers(app, dc, publicKey)

	listenAddr := os.Getenv("LISTEN_ADDR")
	if listenAddr == "" {
		listenAddr = ":8169"
	}

	log.Fatal(app.Listen(listenAddr))
}
